Status: Closed Start date: 16 Nov 2022

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: Portability Estimated time: 0.00 hour

Target version: CoCoALib-0.99850 Spent time: 0.80 hour

Description

The new configuration script contains a few minor issues for Windows machines:

configuration/gmp-find.sh: CygWin provides the user with libgmp.dll.a instead of libgmp.a. This issue was fixed once upon a

time, but reappears using the new configuration script. A fix would be adding the following line to the mentioned script after line

45:

    if [ -f "$dir/libgmp.dll.a" ];  then echo "$dir/libgmp.dll.a"  >> "$LIBGMPPATHS"; COUNTER=

$((1 + COUNTER)); continue; fi

A related issue to the one above: libgmpxx.a can also not be found since it is called libgmpxx.dll.a in CygWin. This time, I could

fix it by changing line 627 in configure to:

  GMPXX_LIB=`dirname "$GMP_LIB"`/libgmpxx.dll.$GMP_LIB_EXTN

However, this is not an appropriate fix since it will break configuration on Linux instead. As far as I can tell, changing

configuration/extn.sh could be a solution, but I am unsure about that one either since I don't know if that script is used in some

other places as well.

configure: In line 664, there is still a call to the obsolescent fgrep binary. That one could most probably be replaced by grep -F

now, however, I have not tested that yet.

Related issues:

Related to CoCoA-5 - Bug #1713: Windows: Qt-Gui does not link correctly In Progress 22 Nov 2022

History

#1 - 20 Nov 2022 22:49 - Nico Mexis

- Assignee set to John Abbott

I have been provided with a new configuration script and a new gmp-find.sh by John Abbott.

That fixed all the bugs above.

There are still problems with QtGui which do not seem to be Windows-specific, however.

I will let John Abbott decide whether this should stay open or not (not sure if he has uploaded the new scripts yet).

#2 - 21 Nov 2022 20:52 - John Abbott

- Status changed from New to Resolved

- Target version set to CoCoALib-0.99850

- % Done changed from 0 to 80

I have checked in my revised version.
I hope Anna can make a new interim release soon (see also issue #1711 about weekly snapshots)

Since the Qt GUI is specific to CoCoA-5, I prefer to have a separate issue under CoCoA-5 about that.

#3 - 09 Mar 2023 20:55 - John Abbott

We are hoping to make a new official release in the next few days (probably early next week).

@Nico: Will you be able to try compiling sometime over the next few days?

See also issue #1675.

I fear that many people at the CoCoA School will be using Microsoft computers, so it is

important that we have a version that works well on that platform.  Anna and I will deal

with Linux and MacOS (intel... don't know anyone who could build for M2).

#4 - 09 Mar 2023 21:07 - Nico Mexis

Thanks for the update! Yes, I will be able to compile it whenever you want.

I will also try to remove the limitation of having to install Visual C++ Runtime 2013.

#5 - 13 Mar 2023 18:31 - John Abbott

Can we close this issue?

Maybe make a new issue with details about the Qt GUI problem?

#6 - 13 Mar 2023 21:50 - Nico Mexis

- Status changed from Resolved to Closed

- % Done changed from 80 to 100

Yes, this can be closed and the Qt-Gui already has its own issue: #1713

#7 - 14 Mar 2023 10:07 - John Abbott

- Related to Bug #1713: Windows: Qt-Gui does not link correctly added
